# nng_pipe_dialer(3) Manual Page

## NAME

nng_pipe_dialer - return dialer that created pipe

## SYNOPSIS

    #include <nng/nng.h>

    nng_dialer nng_pipe_dialer(nng_pipe p);

## DESCRIPTION

The `nng_pipe_dialer()` function returns the `nng_dialer` that created the pipe p. If the pipe was not created by a dialer, then the returned value will have an identifier (`nng_dialer_id()`) of `-1`.

## RETURN VALUES

This function returns the dialer that created the pipe, unless it was not created by a dialer, in which case a value initialized with `NNG_DIALER_INITIALIZER` will be returned.

## ERRORS

None.

## SEE ALSO

nng_pipe(5), nng_dialer(5), nng(7)